.component_ticket_temporary {
    padding: 10px 20px 10px 0;
    text-align: center;
    display: flex;
    position: fixed;
    top: 55px;
    right: 20px;
    z-index: 9999;
    max-width: 250px;
    background: var(--white);
    box-shadow: 0 4px 12px rgba(0,0,0,0.15);
    border-radius: 8px;

    opacity: 0;
    transform: translateX(120%);
}

.component_ticket_temporary_img {
    margin-left: -50px;
}

.component_ticket_temporary_img_line {
    position: absolute;
    opacity: 0.1;
    right: -60px;
    bottom: -40px;
    width: 120px;
    height: auto;
}

.component_ticket_temporary p {
    line-height: 1.3;
}

/* entrĂŠe */
@keyframes inAnim {
    0% {
        transform: translateX(120%);
        opacity: 0;
    }
    70% {
        transform: translateX(-10px);
        opacity: 1;
    }
    85% {
        transform: translateX(5px);
    }
    100% {
        transform: translateX(0);
        opacity: 1;
    }
}

/* sortie */
@keyframes outAnim {
    0% {
        transform: translateX(0);
        opacity: 1;
    }
    100% {
        transform: translateX(120%);
        opacity: 0;
    }
}

.component_ticket_temporary_h2 {
    color : #5a2ce6;
}

.component_ticket_temporary.enter {
    animation: inAnim 0.7s ease forwards;
}

.component_ticket_temporary.leave {
    animation: outAnim 0.6s ease forwards;
}